polybori::CWeakPtr< ValueType > Class Template Reference

Forward declaration of friend. More...

`#include <CWeakPtr.h>`

## Public Types

typedef ValueType | value_type
typedef value_type * | data_type
typedef boost::shared_ptr < data_type > | ptr_type

## Public Member Functions

| CWeakPtr (const CWeakPtrFacade< ValueType > &val)
| Construct from something, which supports weak pointers. More...
| CWeakPtr (const self &rhs)
| Copy constructor. More...
| ~CWeakPtr ()
| Destructor. More...
const value_type & | operator* () const
| Dereferencing generates strong-referenced instance. More...
value_type * | operator-> () const
| Dereferencing generates strong-referenced instance. More...
| operator bool () const
| Validity test. More...

## Detailed Description

### template<class ValueType>
class polybori::CWeakPtr< ValueType >

Forward declaration of friend.

This class defines CWeakPtr.

## Member Typedef Documentation

template<class ValueType>

typedef value_type* polybori::CWeakPtr< ValueType >::data_type

template<class ValueType>

typedef boost::shared_ptr<data_type> polybori::CWeakPtr< ValueType >::ptr_type

template<class ValueType>

typedef ValueType polybori::CWeakPtr< ValueType >::value_type

## Constructor & Destructor Documentation

template<class ValueType>

polybori::CWeakPtr< ValueType >::CWeakPtr | ( | const CWeakPtrFacade< ValueType > & | val) |  |

inline explicit

Construct from something, which supports weak pointers.

template<class ValueType>

polybori::CWeakPtr< ValueType >::CWeakPtr | ( | const self & | rhs) |  |

inline

Copy constructor.

template<class ValueType>

polybori::CWeakPtr< ValueType >::~CWeakPtr | ( | ) |  |

inline

Destructor.

## Member Function Documentation

template<class ValueType>

polybori::CWeakPtr< ValueType >::operator bool | ( | ) |  | const

inline

Validity test.

template<class ValueType>

const value_type& polybori::CWeakPtr< ValueType >::operator* | ( | ) |  | const

inline

Dereferencing generates strong-referenced instance.

template<class ValueType>

value_type* polybori::CWeakPtr< ValueType >::operator-> | ( | ) |  | const

inline

Dereferencing generates strong-referenced instance.

The documentation for this class was generated from the following file:

- CWeakPtr.h